package de.bsvrz.buv.plugin.engstvw;

import java.util.EventObject;
import java.util.List;

public class EngstellenEreignis extends EventObject
{
  private static final long serialVersionUID = 1365256169927819794L;

  /**
   * Liste der Engstellen
   */
  private List<Engstelle> _eintraege = null;

  /**
   * Konstruktor
   * 
   * @param quelle
   *          Quelle des Events.
   * @param eintraege
   *          Engstellen
   */
  public EngstellenEreignis(Object quelle, List<Engstelle> eintraege)
  {
    super(quelle);
    this._eintraege = eintraege;
  }

  /**
   * Liefert die empfangenen Engstellen zurck.
   * 
   * @return Engstellen.
   */
  public List<Engstelle> getEngstellen()
  {
    return this._eintraege;
  }

}
