package de.bsvrz.buv.plugin.sim;

import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Shell;

/**
 * Bei dem Dialog zur Simulationssteuerung erscheint in der Titelzeile der Name der Simulation. ber die Schaltflchen
 * lassen sich die aktuelle Simulation starten (Start), anhalten (Pause, Fortsetzung mit Start), stoppen (Stop) und bei
 * Offline-Simulationen um einen Schritt weierspringen (Einzelschritt). ber den Schieberegler lsst sich bei
 * Offline-Simulationen die Triggergeschwindigkeit einstel-len. Der Schieberegler, die aktuelle Simulationszeit und die
 * Schaltflchen Einzelschritt und Pause sind bei der Online-Simulation nicht darzustellen.
 * 
 * <br>
 * 
 * Wird die Simulationssteuerung geschlossen, so wird die Simulation dadurch nicht beendet oder angehalten. Das
 * Simulationssteuerungsfenster ist dann ber den Dialog Verwaltung Simulation wieder darstellbar.
 * 
 * <br>
 * <br>
 * 
 * Die Klasse erfllt die technische Anforderungen des Segments Bedienung und Visualisierung (BUV): <br>
 * <ul>
 * <li>TAnf-Vi-BW-C3-3</li>
 * </ul>
 * 
 * @version $Revision: 1.2 $ / $Date: 2010/02/04 06:03:56 $ / ($Author: HofmannJ $)
 * @author HofmannJ
 * 
 */
public class Simulationssteuerung extends Dialog
{
  private SimulationssteuerungDaten _simulationssteuerungDatensatz = null;

  /**
   * Konstruktor fr neue Instanzen der Klasse {@link Simulationssteuerung}.
   * 
   * @param parent
   *          Eltern-Shell, die fr die Darstellung benutzt werden soll.
   */
  public Simulationssteuerung(Shell parent)
  {
    super(parent);
  }

  /**
   * ffnet den Dialog {@link Simulationssteuerung}.
   * 
   * @param simulationssteuerungDatensatz
   *          Simulation, die gesteuert werden soll.
   * 
   */
  public void oeffne(SimulationssteuerungDaten simulationssteuerungDatensatz)
  {
    // Neue Shell anlegen, Wait & Dispose, evtl. Rckgabewerte.

    ISimulationZeitpunktListener listener = new ISimulationZeitpunktListener() {

      public void simulationZeitpunktGeandert(SimulationZeitpunktEreignis e)
      {
      }

    };

    // DaVKommunikation.getInstanz().hinzufuegenSimulationZeitpunktListener("123", listener);

  }

  /**
   * Generiert die Elemente des Dialogs {@link Simulationssteuerung}.
   * 
   */
  private void generiereGui()
  {

  }

  /**
   * Startet die aktuelle Simulation.
   * 
   */
  private void aktionStart()
  {

  }

  /**
   * Anhalten der aktuellen Simulation, fortsetzen mit Start.
   * 
   */
  private void aktionPause()
  {

  }

  /**
   * Stoppen der aktuellen Simulation.
   * 
   */
  private void aktionStop()
  {

  }

  /**
   * Einzelschritt bei Offline-Simulationen.
   * 
   */
  private void aktionEinzelschritt()
  {

  }

  /**
   * Setzt die Ablaufgeschwindigkeit. Der Schieberegler ist nur bei Offline-Simulationen einsetzbar.
   * 
   */
  private void setzeAblaufgeschwindigkeit()
  {

  }

}
