package de.bsvrz.buv.rw.basislib.menu.generatoren;

/**
 * Mit Hilfe dieses Listeners kann man sich von {@link MenueLadeInformation}
 * darber informieren lassen, wenn das Laden der Menleiste abgeschlossen bzw.
 * erneute durchgefhrt wurde.
 * 
 * @author HofmannJ
 * 
 */
public interface IMenueLadeListener
{
	/**
	 * Diese Funktion wird aufgerufen, wenn die Menleiste geladen wurde.
	 */
	public void menueLeisteGeladen();

	/**
	 * Diese Funktion wird aufgerufen, wenn die Symbolleiste geladen wurde.
	 */
	public void symbolLeisteGeladen();
}
