package de.bsvrz.buv.plugin.bmvew;

import java.util.EventObject;
import java.util.List;

public class BetriebsmeldungEreignis extends EventObject
{
  private static final long serialVersionUID = 1365256169927819792L;

  /**
   * Liste der Betriebsmeldungen
   */
  private List<Meldung> _betriebsMeldungen = null;

  /**
   * Konstruktor
   * 
   * @param quelle
   *          Quelle des Events.
   * @param meldungen
   *          Betriebsmeldungen.
   */
  public BetriebsmeldungEreignis(Object quelle, List<Meldung> meldungen)
  {
    super(quelle);
    this._betriebsMeldungen = meldungen;
  }

  /**
   * Liefert die empfangenen Betriebsmeldungen zurck.
   * 
   * @return Betriebsmeldungen.
   */
  public List<Meldung> getBetriebsmeldungen()
  {
    return this._betriebsMeldungen;
  }

}
