package de.bsvrz.buv.plugin.engstvw.test;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.part.ViewPart;

import de.bsvrz.buv.plugin.engstvw.Definitionsdialog;
import de.bsvrz.buv.plugin.engstvw.Engstelle;
import de.bsvrz.buv.rw.rw.dav.DaVVerbindung;
import de.bsvrz.dav.daf.main.ClientDavConnection;

public class EngstellenVerwaltungTest extends ViewPart
{

	public static final String ID = "de.bsvrz.buv.plugin.engstvw.test.EngstellenVerwaltungTest";
	private Composite top = null;

	private Button buttonDefinitionsdialog = null;

	private void aktionDefinitionsdialogEngstellen()
	{
		Definitionsdialog dlg = new Definitionsdialog(PlatformUI.getWorkbench()
				.getDisplay().getActiveShell());
		ClientDavConnection dav = (ClientDavConnection) DaVVerbindung.getInstanz()
				.getDaVVerbindung();

		Engstelle engstelle = dlg.oeffne(dav);

		System.out.println("HIER1" + engstelle);

		Definitionsdialog dlgTest = new Definitionsdialog(PlatformUI.getWorkbench()
				.getDisplay().getActiveShell());

		System.out.println("HIER1b");

		Engstelle w = dlgTest.oeffne(dav, engstelle, false);

		System.out.println("HIER2");
	}

	@Override
	public void createPartControl(Composite parent)
	{
		top = new Composite(parent, SWT.NONE);
		top.setLayout(new GridLayout());
		buttonDefinitionsdialog = new Button(top, SWT.NONE);
		buttonDefinitionsdialog.setText("Definitionsdialog Engstellen");
		buttonDefinitionsdialog.addSelectionListener(new SelectionAdapter()
		{
			@Override
			public void widgetSelected(SelectionEvent e)
			{
				aktionDefinitionsdialogEngstellen();
			}
		});
	}

	@Override
	public void setFocus()
	{

	}

}
