package de.bsvrz.buv.plugin.sim;

import java.util.EventObject;

/**
 * Informiert ber den aktuellen Zeitpunkt einer Simulation
 * 
 * @author HofmannJ
 * 
 */
public class SimulationZeitpunktEreignis extends EventObject
{
  private long _zeitpunkt = -1;

  public SimulationZeitpunktEreignis(Object source, long zeitpunkt)
  {
    super(source);
    this._zeitpunkt = zeitpunkt;
  }

  public long getZeitpunkt()
  {
    return this._zeitpunkt;
  }

  /**
   * Generierte SerialID
   */
  private static final long serialVersionUID = -4120773001124744875L;

}
